Sfoglia il riferimento
Tutte le risorse
Cronologia (annulla / ripeti)
3 endpoint · Le descrizioni degli endpoint sono in inglese.
Change history, newest first: every recorded change with its performer; filter by member, family, kind, time window, group or explicit ids
GET
/households/{householdId}/historyread:history
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/historyRisposta200 · Success
Redo an undone change: reverts its active reversal so the change is in force again (409 HISTORY_NOT_UNDONE when it is not undone, HISTORY_STALE when the data moved on)
POST
/households/{householdId}/history/{eventId}/redowrite:history
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| eventId | path | Obbligatorio |
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Idempotency-Key: $(uuidgen)" \ -X POST https://api.vokse.ai/households/current/history/{eventId}/redoRisposta200 · Success
Undo a recorded change: applies its exact inverse, writes the reversal to the history and marks the change undone (409 HISTORY_STALE when the data moved on, HISTORY_ALREADY_UNDONE when another client got there first)
POST
/households/{householdId}/history/{eventId}/undowrite:history
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| eventId | path | Obbligatorio |
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Idempotency-Key: $(uuidgen)" \ -X POST https://api.vokse.ai/households/current/history/{eventId}/undoRisposta200 · Success